﻿.footer-contact-box{
    width: 100%;
    display: block;
    border-top: 1px solid #eee;
    box-sizing: border-box;
    padding: 0 calc((100% - 1200px) / 2);
    font-size: 0;
}
.footer-contact-title-box{
    width: 100%;
    text-align: center;
    display: block;
    box-sizing: border-box;
    padding: 50px 0;
}
.footer-contact-info-box{
    box-sizing: border-box;
    padding-top: 10px;
    padding-bottom: 50px;
}
.footer-contact-info{
    width: 400px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    text-align: center;
    box-sizing: border-box;
    padding-top: 25px;
}
.footer-contact-info:nth-child(2){
    border-left: 1px solid #eee;
    border-right: 1px solid #eee;
}
.footer-contact-info-icon{
    width: 60px;
    height: 60px;
    line-height: 60px;
    background-color: #44bcbb;
    border-radius: 50%;
    font-size: 20px;
    color: #fff;
    margin: 0 auto;
    margin-bottom: 15px;
    transition: all .3s linear;
}
.footer-contact-info-name{
    font-family: "Noto Sans TC";
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding-left: 0.06em;
    line-height: 30px;
    display: block;
}
.footer-contact-info-text{
    font-family: "Roboto","Noto Sans TC";
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding-left: 0.06em;
    line-height: 30px;
    display: block;
    transition: all .3s linear;
}
footer{
    width: 100%;
    display: block;
    background-color: #313131;
    position: relative;
}
.footer-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 100px 0;
}
.footer-logo{
    width: 250px;
    display: inline-block;
    vertical-align: middle;
    font-family: "Noto Sans TC";
    font-size: 24px;
    color: #fff;
    letter-spacing: 0.18em;
    line-height: 1;
}
.footer-info-box{
    width: calc(100% - 500px);
    display: inline-block;
    vertical-align: middle;
    text-align: center;
}
.footer-info-title{
    font-family: "Roboto";
    font-size: 16px;
    letter-spacing: 0.18em;
    box-sizing: border-box;
    padding-left: 0.18em;
    color: #fff;
    line-height: 1;
    margin-bottom: 15px;
}
.footer-info-a{
    font-size: 24px;
    color: #ccc;
    margin: 0 12px;
    line-height: 1;
    transition: all .3s linear;
}
.footer-recruitment-box{
    width: 250px;
    display: inline-block;
    vertical-align: middle;
    text-align: right;
}
.footer-recruitment-ch{
    font-family: "Noto Sans TC";
    font-size: 16px;
    letter-spacing: 0.18em;
    box-sizing: border-box;
    color: #fff;
    line-height: 1;
    display: inline-block;
    transition: all .3s linear;
}
.footer-recruitment-en{
    font-family: "Roboto";
    font-size: 16px;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    color: #ccc;
    line-height: 1;
    display: block;
    margin-top: 25px;
    transition: all .3s linear;
}
.footer-web{
    width: 100%;
    display: block;
    background-color: #1b1b1b;
    text-align: center;
    font-family: "Roboto","Noto Sans TC";
    font-size: 14px;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding-left: 0.06em;
    color: #888;
    line-height: 40px;
}
.footer-goTop-box{
    position: fixed;
    bottom: 60px;
    right: 40px;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s linear;
    z-index: 9;
}
.footer-goTop-box.active{
    opacity: 1;
    pointer-events: all;
}
.footer-goTop-box.active2{
    position: absolute;
    bottom: 138px;
    opacity: 1;
    pointer-events: all;
}
.footer-goTop {
    width: 60px;
    height: 60px;
    display: block;
    margin-left: auto;
    background-color: #44bcbb;
    border-radius: 50%;
    text-align: center;
    overflow: hidden;
    transition: all .3s linear;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.35);
}
.footer-goTop p {
    font-family: "Noto Sans TC";
    font-weight: 300;
    font-size: 20px;
    color: #fff;
    line-height: 56px;
    transform: rotateZ(-90deg) translateX(2px);
}


@media only screen and (max-width: 1400px){
    .footer-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1200px){
    .footer-contact-box{
        padding: 0 calc((100% - 1000px) / 2);
    }
    .footer-contact-info{
        width: calc(100% / 3);
    }
    .footer-box{
        width: 800px;
    }
}
@media only screen and (max-width: 1000px){
    .footer-contact-box{
        padding: 0 calc((100% - 750px) / 2);
    }
    .footer-contact-info{
        width: calc(100% / 3);
    }
    .footer-contact-info-icon{
        width: 50px;
        height: 50px;
        line-height: 50px;
        margin-bottom: 10px;
    }
    .footer-box{
        width: 600px;
    }
    .footer-logo{
        width: 200px;
    }
    .footer-info-box {
        width: calc(100% - 450px);
    }
    .footer-goTop-box{
        right: 20px;
    }
}
@media only screen and (max-width: 768px){
    .footer-contact-box{
        padding: 0 calc((100% - 550px) / 2);
    }
    .footer-contact-title-box{
        padding-bottom: 20px;
    }
    .footer-contact-info{
        width: 100%;
    }
    .footer-contact-info:nth-child(2){
        border: none;
    }
    .footer-box{
        width: 280px;
        padding: 40px 0;
    }
    .footer-logo{
        width: 100%;
        text-align: center;
    }
    .footer-info-box{
        width: 100%;
        display: block;
        margin: 30px 0;
    }
    .footer-info-a{
        font-size: 20px;
        margin-left: 7px;
    }
    .footer-info-title{
        margin-bottom: 10px;
    }
    .footer-recruitment-box{
        width: 100%;
        text-align: center;
    }
    .footer-recruitment-en{
        margin-top: 10px;
    }
    .footer-goTop-box{
        display: none;
    }
}
@media only screen and (max-width: 550px){
    .footer-contact-box{
        padding: 0 20px
    }
    .footer-contact-info-box{
        padding-bottom: 20px;
    }
    .footer-contact-title-box{
        padding-top: 20px;
        padding-bottom: 10px;
    }
    .footer-contact-info:first-child{
        padding-top: 0;
    }
    .footer-contact-info-icon{
        width: 40px;
        height: 40px;
        line-height: 40px;
        font-size: 16px;
        margin-bottom: 5px;
    }
    .footer-contact-info-name{
        font-size: 14px;
        line-height: 20px;
    }
    .footer-contact-info-text{
        font-size: 14px;
        line-height: 20px;
    }

    
    .footer-box {
        width: 250px;
        padding: 20px 0;
    }
    .footer-logo{
        font-size: 20px;
        letter-spacing: 0.06em;
    }
    .footer-info-box{
        margin: 20px 0;
    }
    .footer-info-title{
        font-size: 14px;
        letter-spacing: 0.06em;
        padding-left: 0.06em;
    }
    .footer-recruitment-en{
        font-size: 14px;
        margin-top: 5px;
    }
    .footer-recruitment-ch{
        font-size: 14px;
    }
    .footer-web{
        box-sizing: border-box;
        padding: 5px 0;
        font-size: 12px;
        line-height: 15px;
    }
    .footer-web span{
        display: block;
    }
}


@media only screen and (min-width: 769px){
    .footer-contact-info a:hover .footer-contact-info-icon,
    .footer-goTop:hover{
        box-shadow: 0 0 12px 3px rgba(0, 0, 0, 0.25);
    }
    .footer-contact-info a:hover .footer-contact-info-text,
    .footer-info-a:hover,
    .footer-recruitment-ch:hover,
    .footer-recruitment-en:hover{
        color: #44bcbb;
    }

    .footer-contact-title-box,
    .footer-contact-info-box{
        opacity: 0;
    }
    .footer-contact-title-box.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .footer-contact-info-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}